Cross compilation error with QtCreator [Yocto Image] in Ubuntu 14



  • Qt Creator is giving this library error:

    11:13:12: Running steps for project qtConsoleTest...
    11:13:12: Starting: "/usr/bin/make" clean
    rm -f main.o
    rm -f *~ core *.core
    11:13:12: The process "/usr/bin/make" exited normally.
    11:13:12: Configuration unchanged, skipping qmake step.
    11:13:12: Starting: "/usr/bin/make" 
    g++ -c -pipe -g -std=gnu++0x -Wall -W -D_REENTRANT -fPIC -DQT_QML_DEBUG -DQT_CORE_LIB -I../qtConsoleTest -I. -isystem /opt/fsl-imx-x11/4.1.15-2.0.1/sysroots/cortexa7hf-neon-poky-linux-gnueabi/usr/include/qt5 -isystem /opt/fsl-imx-x11/4.1.15-2.0.1/sysroots/cortexa7hf-neon-poky-linux-gnueabi/usr/include/qt5/QtCore -I. -I/opt/fsl-imx-x11/4.1.15-2.0.1/sysroots/cortexa7hf-neon-poky-linux-gnueabi/usr/lib/qt5/mkspecs/linux-g++ -o main.o ../qtConsoleTest/main.cpp
    g++  -o qtConsoleTest main.o   -lQt5Core -lpthread 
    /usr/bin/ld: cannot find -lQt5Core
    collect2: error: ld returned 1 exit status
    make: *** [qtConsoleTest] Error 1
    11:13:13: The process "/usr/bin/make" exited with code 2.
    Error while building/deploying project qtConsoleTest (kit: ce3TunnelBoard)
    When executing step "Make"
    11:13:13: Elapsed time: 00:01.
    

    Based on this Question, I think my problem is that QMAKE_SPEC and QMAKE_XSPEC under Qt Versions should be showing linux-oe-g++ (instead of linux-g++) but I don't know how to change that. Have I missed any steps?

    I've bitbaked Qt5 SDK, I've also sourced the environment in "/opt/Qt5.8.0/Tools/QtCreator/bin/qtcreator.sh" by adding this at the top:

    source /opt/fsl-imx-x11/4.1.15-2.0.1/environment-setup-cortexa7hf-neon-poky-linux-gnueabi
    

    and configured the following options under Debuggers, Compilers & Qt Versions respectively:

    /opt/fsl-imx-x11/4.1.15-2.0.1/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi-gdb
    /opt/fsl-imx-x11/4.1.15-2.0.1/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi-g++
    /opt/fsl-imx-x11/4.1.15-2.0.1/sysroots/x86_64-pokysdk-linux/usr/bin/qt5/qmake
    

    These are the screenshots just in case.

    I'd appreciate any help.



  • The solution is here in case anyone is also wondering.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.